from flask import Blueprint, Response

from inventory_provider.routes import common

routes = Blueprint("ims-inventory-data-query-routes", __name__)


@routes.after_request
def after_request(resp):
    return common.after_request(resp)


@routes.route("/pop/<equipment_name>", methods=['GET', 'POST'])
@common.require_accepts_json
@common.ims_hostname_decorator('equipment_name')
def equipment_location(equipment_name):
    redis = common.get_current_redis()
    result = redis.get(f'ims:location:{equipment_name}')

    if not result:
        return Response(
            response="no available info for {}".format(equipment_name),
            status=404,
            mimetype="text/html")

    return Response(result, mimetype="application/json")
